[commit: packages/Cabal] ghc-head: Add -L flag to `curl` usage in cabal-install/bootstrap.sh for redirects (cherry picked from commit d071907c352928fb94b2db80ea669c9bf0bf3714) (cfbbf98)

git at git.haskell.org git
Fri Oct 11 20:33:11 UTC 2013


Repository : ssh://git at git.haskell.org/Cabal

On branch  : ghc-head
Link       : http://git.haskell.org/packages/Cabal.git/commitdiff/cfbbf98c2917fe4eeea372386b271ab06e5cc758

>---------------------------------------------------------------

commit cfbbf98c2917fe4eeea372386b271ab06e5cc758
Author: Mike Craig <mcraig at groupon.com>
Date:   Thu Sep 26 19:14:56 2013 -0700

    Add -L flag to `curl` usage in cabal-install/bootstrap.sh for redirects
    (cherry picked from commit d071907c352928fb94b2db80ea669c9bf0bf3714)


>---------------------------------------------------------------

cfbbf98c2917fe4eeea372386b271ab06e5cc758
 cabal-install/bootstrap.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/cabal-install/bootstrap.sh b/cabal-install/bootstrap.sh
index e6eb479..fda2eb0 100755
--- a/cabal-install/bootstrap.sh
+++ b/cabal-install/bootstrap.sh
@@ -122,7 +122,7 @@ fetch_pkg () {
   URL=${HACKAGE_URL}/${PKG}/${VER}/${PKG}-${VER}.tar.gz
   if which ${CURL} > /dev/null
   then
-    ${CURL} --fail -C - -O ${URL} || die "Failed to download ${PKG}."
+    ${CURL} -L --fail -C - -O ${URL} || die "Failed to download ${PKG}."
   elif which ${WGET} > /dev/null
   then
     ${WGET} -c ${URL} || die "Failed to download ${PKG}."




More information about the ghc-commits mailing list